﻿using System.Collections.ObjectModel;
using System.Windows.Data;

namespace UnboundSort
{
    public class ViewModel
    {
        public ViewModel()
        {
            myData = new ObservableCollection<Model>();
            for ( int i = 5; i-- > 0; )
            {
                myData.Add( new Model( i ) );
            }
            return;
        }

        private ObservableCollection<Model> myData;
        private ListCollectionView myList;
        public ListCollectionView myDataList
        {
            get
            {
                if ( myList == null )
                {
                    myList = new ListCollectionView( myData );
                }
                return myList;
            }
        }
    }

    public class Model
    {
        public Model( int x )
        {
            myNumber = x;
        }

        private int myNumber;
        public string DataProperty
        {
            get
            {
                return myNumber.ToString();
            }
        }
    }
}
